# Prosody stanzas
Is a plugin for the monitoring software [Munin](http://munin-monitoring.org) to monitor a [Prosody](http://prosody.im) XMPP server.

The plugins monitors Prosody stanzas.

Here's an example how how this plugin works: [Prosody stanza statistics for jabber.hot-chilli.net](https://www.hot-chilli.net/munin/hot-chilli.net/tethys.hot-chilli.net/prosody_stanzas.html)

## Installation and configuration
It is very simple to install this plugin.

Copy *prosody_stanzas* into */usr/share/munin/plugins* (we suggest a different own directory), chmod and create symlink:

```
chmod 755 /usr/share/munin/plugins/prosody_stanzas
ln -s /usr/share/munin/plugins/prosody_stanzas /etc/munin/plugins/prosody_stanzas
```


If not already there for other Prosody plugins create a file */etc/munin/plugin-conf.d/prosody* (we don't want change the standard file */etc/munin/plugin-conf.d/munin-node* as future updates might want to undo the changes) and put the following into it:
```
[prosody_*]
user prosody
group prosody
```

Now you need to restart munin-node:

`/etc/init.d/munin-node restart`

That's it. Enjoy!